gi-gdkx11-3.0.15: GdkX11 bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.GdkX11.Objects.X11DeviceManagerXI2

Contents

- Exported types
- Methods
- Properties
  - major
  - minor
  - opcode

Description

No description available in the introspection data.

Synopsis

- newtype X11DeviceManagerXI2 = X11DeviceManagerXI2 (ManagedPtr X11DeviceManagerXI2)
- class (GObject o, IsDescendantOf X11DeviceManagerXI2 o) => IsX11DeviceManagerXI2 o
- toX11DeviceManagerXI2 :: (MonadIO m, IsX11DeviceManagerXI2 o) => o -> m X11DeviceManagerXI2
- constructX11DeviceManagerXI2Major :: (IsX11DeviceManagerXI2 o, MonadIO m) => Int32 -> m (GValueConstruct o)
- getX11DeviceManagerXI2Major :: (MonadIO m, IsX11DeviceManagerXI2 o) => o -> m Int32
- constructX11DeviceManagerXI2Minor :: (IsX11DeviceManagerXI2 o, MonadIO m) => Int32 -> m (GValueConstruct o)
- getX11DeviceManagerXI2Minor :: (MonadIO m, IsX11DeviceManagerXI2 o) => o -> m Int32
- constructX11DeviceManagerXI2Opcode :: (IsX11DeviceManagerXI2 o, MonadIO m) => Int32 -> m (GValueConstruct o)
- getX11DeviceManagerXI2Opcode :: (MonadIO m, IsX11DeviceManagerXI2 o) => o -> m Int32

# Exported types

newtype X11DeviceManagerXI2 Source #

Memory-managed wrapper type.

Constructors

X11DeviceManagerXI2 (ManagedPtr X11DeviceManagerXI2) |

#### Instances

Instances details

Eq X11DeviceManagerXI2 Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceManagerXI2 Methods (==) :: X11DeviceManagerXI2 -> X11DeviceManagerXI2 -> Bool Source # (/=) :: X11DeviceManagerXI2 -> X11DeviceManagerXI2 -> Bool Source #
GObject X11DeviceManagerXI2 Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceManagerXI2
ManagedPtrNewtype X11DeviceManagerXI2 Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceManagerXI2 Methods toManagedPtr :: X11DeviceManagerXI2 -> ManagedPtr X11DeviceManagerXI2 Source #
TypedObject X11DeviceManagerXI2 Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceManagerXI2 Methods glibType :: IO GType Source #
HasParentTypes X11DeviceManagerXI2 Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceManagerXI2
IsGValue (Maybe X11DeviceManagerXI2) Source # | Convert `X11DeviceManagerXI2` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.GdkX11.Objects.X11DeviceManagerXI2 Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe X11DeviceManagerXI2 -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe X11DeviceManagerXI2) Source #
type ParentTypes X11DeviceManagerXI2 Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceManagerXI2 type ParentTypes X11DeviceManagerXI2 = '[X11DeviceManagerCore, DeviceManager, Object]

class (GObject o, IsDescendantOf X11DeviceManagerXI2 o) => IsX11DeviceManagerXI2 o Source #

Type class for types which can be safely cast to `X11DeviceManagerXI2`, for instance with `toX11DeviceManagerXI2`.

#### Instances

Instances details

(GObject o, IsDescendantOf X11DeviceManagerXI2 o) => IsX11DeviceManagerXI2 o Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceManagerXI2

toX11DeviceManagerXI2 :: (MonadIO m, IsX11DeviceManagerXI2 o) => o -> m X11DeviceManagerXI2 Source #

Cast to `X11DeviceManagerXI2`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, listDevices, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getClientPointer, getData, getDisplay, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.

# Properties

## major

No description available in the introspection data.

constructX11DeviceManagerXI2Major :: (IsX11DeviceManagerXI2 o, MonadIO m) => Int32 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`major`” property. This is rarely needed directly, but it is used by `new`.

getX11DeviceManagerXI2Major :: (MonadIO m, IsX11DeviceManagerXI2 o) => o -> m Int32 Source #

Get the value of the “`major`” property. When overloading is enabled, this is equivalent to

    get x11DeviceManagerXI2 #major

## minor

No description available in the introspection data.

constructX11DeviceManagerXI2Minor :: (IsX11DeviceManagerXI2 o, MonadIO m) => Int32 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`minor`” property. This is rarely needed directly, but it is used by `new`.

getX11DeviceManagerXI2Minor :: (MonadIO m, IsX11DeviceManagerXI2 o) => o -> m Int32 Source #

Get the value of the “`minor`” property. When overloading is enabled, this is equivalent to

    get x11DeviceManagerXI2 #minor

## opcode

No description available in the introspection data.

constructX11DeviceManagerXI2Opcode :: (IsX11DeviceManagerXI2 o, MonadIO m) => Int32 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`opcode`” property. This is rarely needed directly, but it is used by `new`.

getX11DeviceManagerXI2Opcode :: (MonadIO m, IsX11DeviceManagerXI2 o) => o -> m Int32 Source #

Get the value of the “`opcode`” property. When overloading is enabled, this is equivalent to

    get x11DeviceManagerXI2 #opcode